Deleting a tag
Deleting a tag
Contents
- Overview
- Version-specific information
- Permissions and Authentication
- Headers
- HTTP Parameters
- Sample request
- Sample response
- Possible error responses
Overview
- Call name: delete-tag
- Endpoint URL: https://{API hostname}/auth/delete-tag
- Request methods: DELETE
- Request Content-Type:
application/jsonorapplication/x-www-form-urlencoded - Response Content-Type:
application/json - Auth required: yes
This endpoint deletes a tag.
Version-specific information
The following version-specific changes apply to this endpoint. See the versioning page for more details.
| Version | Change details |
|---|---|
| N/A | N/A |
Permissions and Authentication
This API call requires admin authentication:
- The performing user must be logged in and have
DELETEaccess to the chain to which the tag is connected - User and privileged authentication methods are not permitted for this endpoint
Headers
Standard headers are used for this endpoint. No special headers are required.
HTTP Parameters
The following HTTP parameters can be passed to the API:
| Parameter | Description |
|---|---|
| id | (integer, mandatory) The ID of the tag to delete |
Sample request
DELETE /auth/delete-tag?id=1 HTTP/1.1
Sample response
{
"result": {
"code": 1,
"status": "ok"
},
"results": {
"tag": {
"active": false,
"chain": {
"email_address": null,
"id": 1,
"name": "FOO Chain, inc.",
"phone_number": null
},
"created_date": "2025-01-23T14:11:20+00:00",
"deleted": true,
"id": 1,
"last_modified_date": "2025-01-23T14:11:21+00:00",
"model_class": "user",
"value": "baby_club_march_2025"
},
"result_type": "delete-tag"
}
}